package com.ruoyi.project.production.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 区域列台账对象 t_fives_region
 *
 * @author ruoyi
 * @date 2023-04-04
 */
public class TFivesRegion extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识ID
     */
    private Long id;

    /**
     * 装置名称
     */
    @Excel(name = "装置名称")
    private String plantCode;

    /**
     * 序号
     */
    @Excel(name = "序号")
    private String orderNo;

    /**
     * 位置
     */
    @Excel(name = "位置")
    private String position;

    /**
     * 责任人
     */
    @Excel(name = "责任人")
    private String personLiable;

    /**
     * 房间号
     */
    @Excel(name = "房间号")
    private String roomNo;

    /**
     * 关联文件id
     */
    @Excel(name = "关联文件id")
    private String fileId;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Long status;

    /**
     * 状态 0 ：正常 ；1：删除
     */
    private Long delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private Long updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    /**
     * 系统中人员
     */
    @Excel(name = "系统中人员")
    private String inSys;

    /**
     * 负责人照片
     */
    @Excel(name = "负责人照片")
    private String personFile;

    /**
     * 负责人id
     */
    @Excel(name = "负责人id")
    private String staffId;

    /**
     * 部门名称
     */
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPlantCode(String plantCode) {
        this.plantCode = plantCode;
    }

    public String getPlantCode() {
        return plantCode;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getPosition() {
        return position;
    }

    public void setPersonLiable(String personLiable) {
        this.personLiable = personLiable;
    }

    public String getPersonLiable() {
        return personLiable;
    }

    public void setRoomNo(String roomNo) {
        this.roomNo = roomNo;
    }

    public String getRoomNo() {
        return roomNo;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileId() {
        return fileId;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setInSys(String inSys) {
        this.inSys = inSys;
    }

    public String getInSys() {
        return inSys;
    }

    public void setPersonFile(String personFile) {
        this.personFile = personFile;
    }

    public String getPersonFile() {
        return personFile;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffId() {
        return staffId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantCode", getPlantCode())
                .append("orderNo", getOrderNo())
                .append("position", getPosition())
                .append("personLiable", getPersonLiable())
                .append("roomNo", getRoomNo())
                .append("fileId", getFileId())
                .append("remarks", getRemarks())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("inSys", getInSys())
                .append("personFile", getPersonFile())
                .append("staffId", getStaffId())
                .toString();
    }
}
